#
# Copyright (c) 2006 Zmanda Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
# Contact information: Zmanda Inc, 505 N Mathlida Ave, Suite 120
# Sunnyvale, CA 94085, USA, or: http://www.zmanda.com
#

%define LOGDIR		/var/log/mysql-zrm
%define CONFDIR 	/etc/mysql-zrm
%define BKUPDIR 	/var/lib/mysql-zrm
%{!?VERSION: %define VERSION 2.2.0}

Name:		MySQL-zrm
Summary:	Zmanda Recovery Manager for MySQL
Version:	%{VERSION}
Release:	2.1
BuildArch:	noarch
License:	GPL
Group:		Applications/System
Source:		%{name}-%{VERSION}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{VERSION}-root
Requires:	perl 
Requires:	perl-DBI
Requires:	mailx
Requires:	logrotate

%package client
Summary: Zmanda Recovery Manager for MySQL client
Group: Applications/System
Requires:	xinetd

%description
Zmanda Recovery Manager (ZRM) for MySQL is a backup and recovery manager for
MySQL databases with enterprise features.  It does backups of live MySQL 
databases to disk storage and supports various backup methods.

Looking for enteprise level customer support? Please buy a subscription to 
ZRM Enterprise on http://www.zmanda.com/

Home page: http://www.zmanda.com/backup-mysql.html
Wiki/Documentation: http://mysqlbackup.zmanda.com/
Forums: http://forums.zmanda.com

%description client
Zmanda Recovery Manager (ZRM) for MySQL is a backup and recovery manager for
MySQL databases with enterprise features. ZRM client must be installed on 
MySQL servers that are backed up ZRM for MySQL remotely.  

Looking for enteprise level customer support? Please buy a subscription to 
ZRM Enterprise on http://www.zmanda.com/

Home page: http://www.zmanda.com/backup-mysql.html
Wiki/Documentation: http://mysqlbackup.zmanda.com/
Forums: http://forums.zmanda.com

%prep
%setup 
%build
%pre
LOGDIR="%{LOGDIR}"
if [ ! -e ${LOGDIR} ] ; then
	# create log directory
	mkdir -m 0666 ${LOGDIR};
fi
%install
LOGDIR="%{LOGDIR}"
CONFDIR="%{CONFDIR}"
BKUPDIR="%{BKUPDIR}"
VERSION="%{VERSION}"
PACKAGE="%{name}"

if [ "%{buildroot}" != "/" ]; then
	if [ -d "%{buildroot}" ]; then
		rm -rf %{buildroot}
	fi
else
	echo "BuildRoot was somehow set to / !"
	exit -1
fi
mkdir -p $RPM_BUILD_ROOT
cp -rp . $RPM_BUILD_ROOT/
chmod -x ./usr/share/doc/${PACKAGE}-${VERSION}/*
mv ./usr/share/doc/${PACKAGE}-${VERSION}/* .
rm -rf %{buildroot}/usr/share/doc/${PACKAGE}-${VERSION}

%post
if [ -x /usr/bin/mysql-zrm-migrate-file-ownership ] ; then
        echo "Checking and Migrating old ZRM data"
        /usr/bin/mysql-zrm-migrate-file-ownership --user mysql --group mysql
fi

%post client
if [ -f /etc/xinetd.d/mysql-zrm-socket-server ] ; then
    if [ -x /etc/init.d/xinetd ] ; then
    echo -n "`date +'%b %e %Y %T'`: Reloading xinetd configuration..." 
    /etc/init.d/xinetd reload 
    ret_val=$?
    if [ ${ret_val} -ne 0 ] ; then
	echo "xinetd reload failed.  Please restart xinetd" 
    fi
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{VERSION}/

%files
%defattr(-,root,root)
%verify(user group mode md5 size mtime) %doc INSTALL README AUTHORS COPYING
%verify(user group mode md5 size mtime) %doc README-plugin-encrypt
%verify(user group mode md5 size mtime) %doc README-plugin-socket-copy
%verify(user group mode md5 size mtime) %doc README-plugin-ssh-copy
%verify(user group mode md5 size mtime) %doc README-plugin-pre-backup
%verify(user group mode md5 size mtime) %doc README-plugin-pre-scheduler
%verify(user group mode md5 size mtime) %doc README-plugin-post-backup
%verify(user group mode md5 size mtime) %doc README-plugin-snapshot-plugin
%defattr(-,mysql,mysql)
%dir /var/log/mysql-zrm
%dir /etc/mysql-zrm
%dir /usr/share/mysql-zrm
%dir /usr/lib/mysql-zrm
%dir /usr/lib/mysql-zrm/Data
%dir /usr/lib/mysql-zrm/Data/Report
%dir /usr/lib/mysql-zrm/Data/Report/Plugin
%dir /usr/lib/mysql-zrm/XML
%dir /usr/lib/mysql-zrm/ZRM
%dir /usr/share/mysql-zrm/plugins
%defattr(0660,mysql,mysql)
%config(noreplace) %{_sysconfdir}/mysql-zrm/mysql-zrm.conf
%config(noreplace) %{_sysconfdir}/mysql-zrm/mysql-zrm-reporter.conf
%config %{_sysconfdir}/mysql-zrm/mysql-zrm-release
%defattr(0750,mysql,mysql)
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-scheduler
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-reporter
%verify(user group mode md5 size mtime) %{_bindir}/zrm-pre-scheduler
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-abort-backup
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-backup
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-check
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-extract-backup
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-getconf
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-list
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-parse-binlogs
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-purge
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-restore
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-verify-backup
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-migrate-file-ownership
%verify(user group mode md5 size mtime) %{_bindir}/mysql-zrm-manage-backup
%defattr(0644,mysql,mysql)
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-scheduler.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-reporter.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man5/mysql-zrm.conf.5.gz
%verify(user group mode md5 size mtime) %{_mandir}/man5/mysql-zrm-reporter.conf.5.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-abort-backup.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-backup.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-check.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-extract-backup.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-list.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-parse-binlogs.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-purge.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-restore.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-verify-backup.1.gz
%verify(user group mode md5 size mtime) %{_mandir}/man1/mysql-zrm-manage-backup.1.gz
%defattr(0660,mysql,mysql)
%config /etc/logrotate.d/mysql-zrm
%defattr(0770,mysql,mysql)
%verify(user group mode md5 size mtime) /var/log/mysql-zrm/mysql-zrm.log
%verify(user group mode md5 size mtime) /var/lib/mysql-zrm
%defattr(0660,mysql,mysql)
%config(noreplace) /etc/mysql-zrm/RSS.header
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/ZRM/Common.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/ZRM/MySQL.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/ZRM/Replication.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/ZRM/SnapshotCommon.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/Data/Report.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/Data/Report/Base.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/Data/Report/Plugin/Html.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/Data/Report/Plugin/Text.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/Data/Report/Plugin/Csv.pm
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/XML/RSS.pm
%defattr(0770,mysql,mysql)
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/encrypt.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/parse-binlogs.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/post-backup.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/pre-backup.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/socket-copy.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/ssh-copy.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/lvm-snapshot.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/zfs-snapshot.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/socket-server.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/pre-scheduler-plugin.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/post-restore.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/pre-restore.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/xinetd.smf
%verify(user group mode md5 size mtime) /etc/xinetd.d/mysql-zrm-socket-server

%files client
%defattr(0770,mysql,mysql)
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/socket-server.pl
%verify(user group mode md5 size mtime) /etc/xinetd.d/mysql-zrm-socket-server
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/lvm-snapshot.pl
%verify(user group mode md5 size mtime) /usr/share/mysql-zrm/plugins/zfs-snapshot.pl
%defattr(0660,mysql,mysql)
%verify(user group mode md5 size mtime) /usr/lib/mysql-zrm/ZRM/SnapshotCommon.pm


%changelog
* Sat Feb 13 2010 Carsten Schoene <cs@linux-administrator.com> - 2.2.0-1
- update to new upstream release

* Sun Jun 21 2009 Carsten Schoene <cs@linux-administrator.com> - 2.1-2
- fix some issues in spec

* Mon Sep 22 2008 Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 2.1 release
* Mon Mar 3 2008  Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 2.0 release
* Mon Aug 13 2007  Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 1.2.1 release
* Wed May 16 2007  Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 1.2 release
* Wed Mar 1 2007  Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 1.1.5 release
* Wed Dec 20 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 1.1.4 release
* Tue Nov 28 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 1.1.3 release
* Thu Nov 16 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Created socket-server package
* Tue Nov 14 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Updates for 1.1.2 release
* Wed Oct 27 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Updates for 1.1.1 release
* Wed Oct 10 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Updates for 1.1 release
* Wed Sep 13 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Added perl reporting modules
* Tue Sep 12 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Create configuration and backup directories
* Mon Sep 11 2006  Paddy Sreenivasan <paddy@zmanda.com>
- Create mysql-zrm log directory
* Fri Sep 8 2006 Paddy Sreenivasan <paddy@zmanda.com>
- Added mysql-zrm.conf man page
* Thu Sep 7 2006 Paddy Sreenivasan <paddy@zmanda.com>
- Updated for 1.0.1 release
* Fri Aug 25 2006 Paddy Sreenivasan <paddy@zmanda.com>
- Added mysql-zrm-reporter and mysql-zrm-scheduler
* Fri Aug 18 2006 Paddy Sreenivasan <paddy@zmanda.com>
- first version
